package com.lightinit.hsdataplatform.impl.admin;

import com.lightinit.hsdataplatform.mapper.OrderGoodsMapper;
import com.lightinit.hsdataplatform.model.admin.ThemeCountSearchModel;
import com.lightinit.hsdataplatform.model.admin.ThemeStatisticsModel;
import com.lightinit.hsdataplatform.service.admin.IThemeCountService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ThemeCountServiceImpl implements IThemeCountService {

    @Autowired
    private OrderGoodsMapper orderGoodsMapper ;

    @Override
    public List<ThemeStatisticsModel> queryThemeList(ThemeCountSearchModel inputModel) {
        return orderGoodsMapper.queryThemeList(inputModel);
    }

    @Override
    public List<ThemeStatisticsModel> queryDeptList(ThemeCountSearchModel inputModel) {
        return orderGoodsMapper.queryDeptList(inputModel);
    }

    @Override
    public List<ThemeStatisticsModel> queryResourceList(ThemeCountSearchModel inputModel) {
        return orderGoodsMapper.queryResourceList(inputModel);
    }
}
